-- ------------------------------------------------------------------------------
-- File: 	StoredProcedureExample.sql
-- Author:	Chadd Williams
-- Date: 	11/17/2017
-- Class:	CS445
-- Purpose:	Demonstrate Stored Procedures
-- ------------------------------------------------------------------------------

DROP PROCEDURE IF EXISTS AddTo250;
DELIMITER //
CREATE PROCEDURE
	AddTo250 (parameter_StudentID INTEGER)
	MODIFIES SQL DATA
	BEGIN
		DELETE FROM CurrentlyEnrolled where StudentID=parameter_StudentID and CourseID=1;
		INSERT INTO CurrentlyEnrolled (CourseID, StudentID)  VALUES(2, parameter_StudentID);
	END ;
//
DELIMITER ;


-- INSERT INTO CurrentlyEnrolled (CourseID, StudentID) VALUES (1, 5);

-- select * from CurrentlyEnrolled Where StudentID=5;
	
-- CALL AddTo250(5);

-- select * from CurrentlyEnrolled Where StudentID=5;

-- SHOW CREATE PROCEDURE AddTo250;

-- SHOW PROCEDURE STATUS;
